6.0.0-git
2019-04-21

[#12977] No polling of subfolders
Summary No polling of subfolders
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2014-02-18 (1888 days ago)
Due
Updated 2014-02-26 (1880 days ago)
Assigned 2014-02-18 (1888 days ago)
Resolved 2014-02-26 (1880 days ago)
Milestone
Patch No

History
2014-02-26 00:44:47 Michael Slusarz State ⇒ Resolved
 
2014-02-26 00:43:45 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit f4dba286479f682fda1d1972115aa01124e1be87
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Feb 25 11:33:41 2014 -0700

     Bug #12977: Fix polling of subfolders in certain instances

     Need to go through and clean this up.  The base RecursiveFilterIterator
     can be used if we need to ensure that NO children are iterated through.
     Otherwise, to exclude an iterator entry based on its contents (without
     regard for children) we need to use FilterIterators.

  imp/lib/Ajax/Application/Handler/Smartmobile.php |    6 +++-
  imp/lib/Ftree/IteratorFilter.php                 |    6 ----
  imp/lib/Ftree/IteratorFilter/Polled.php          |   32 
++++++++++++++++++++++
  imp/lib/Ftree/Prefs/Poll.php                     |   11 ++++---
  imp/package.xml                                  |    2 +
  5 files changed, 44 insertions(+), 13 deletions(-)

http://git.horde.org/horde-git/-/commit/f4dba286479f682fda1d1972115aa01124e1be87
2014-02-18 09:23:20 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 1. Low
Summary ⇒ No polling of subfolders
Queue ⇒ IMP
Assigned to Michael Slusarz
Milestone ⇒
Patch ⇒ No
Reply to this comment
Subfolders on Cyrus are no longer polled anymore. They don't appear on 
the portal block, and the message count is not updated in the folder 
tree.

Saved Queries